Deletes a single Knowledge Base Entry using the `id` field

Base URL
https://{kibana_url}
  • DELETE /api/security_ai_assistant/knowledge_base/entries/{id}
Auth

Delete a Knowledge Base Entry by its unique id.

Path parameters

id string · format: nonempty · min length: 1 required

The unique identifier (id) of the Knowledge Base Entry to delete.

Example: 12345

Responses

Successful request returning the id of the deleted Knowledge Base Entry.

application/json
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

Bad Request response.

application/json
error string required

Error type or category.

message string required

Detailed error message.

statusCode number required

HTTP status code of the error.

Base URL
https://{kibana_url}